summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsource4/script/tests/test_pidl.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/source4/script/tests/test_pidl.sh b/source4/script/tests/test_pidl.sh
index a17e3871fe..d2ebd30169 100755
--- a/source4/script/tests/test_pidl.sh
+++ b/source4/script/tests/test_pidl.sh
@@ -9,8 +9,12 @@ incdir=`dirname $0`
failed=0
-for f in pidl/tests/*.pl; do
- testit "$f" $PERL $f || failed=`expr $failed + 1`
-done
+if $PERL -e 'eval require Test::More;' > /dev/null 2>&1; then
+ for f in pidl/tests/*.pl; do
+ testit "$f" $PERL $f || failed=`expr $failed + 1`
+ done
+else
+ echo "Skipping pidl tests - Test::More not installed"
+fi
testok $0 $failed